<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{2ECCF1D0-468D-4D45-B23F-857F2DD3A4CF}</ProjectGuid>
    <RootNamespace>ZTestSuite</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>11.0.50727.1</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>$(SolutionDir)Bin\x86\</OutDir>
    <IntDir>$(SolutionDir)Intermediate\$(Configuration)\$(Platform)\$(ProjectName)\</IntDir>
    <TargetName>$(ProjectName)-debug</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <OutDir>$(SolutionDir)Bin\x64\</OutDir>
    <IntDir>$(SolutionDir)Intermediate\$(Configuration)\$(Platform)\$(ProjectName)\</IntDir>
    <TargetName>$(ProjectName)-debug</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>$(SolutionDir)Bin\x86\</OutDir>
    <IntDir>$(SolutionDir)Intermediate\$(Configuration)\$(Platform)\$(ProjectName)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <OutDir>$(SolutionDir)Bin\x64\</OutDir>
    <IntDir>$(SolutionDir)Intermediate\$(Configuration)\$(Platform)\$(ProjectName)\</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>$(SolutionDir)Include;$(SolutionDir)Lib/Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_DEBUG;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>false</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <DisableLanguageExtensions>false</DisableLanguageExtensions>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <DisableSpecificWarnings>4996;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <StringPooling>true</StringPooling>
      <BufferSecurityCheck>false</BufferSecurityCheck>
    </ClCompile>
    <Link>
      <AdditionalLibraryDirectories>$(SolutionDir)\Lib\x86;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <TargetMachine>MachineX86</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>$(SolutionDir)Lib/Include;$(SolutionDir)Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_DEBUG;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>false</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <DisableLanguageExtensions>false</DisableLanguageExtensions>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <StringPooling>true</StringPooling>
      <BufferSecurityCheck>false</BufferSecurityCheck>
    </ClCompile>
    <Link>
      <AdditionalLibraryDirectories>$(SolutionDir)\Lib\x64;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <TargetMachine>MachineX64</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>$(SolutionDir)Include;$(SolutionDir)Lib/Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <DisableSpecificWarnings>4996;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <StringPooling>true</StringPooling>
      <BufferSecurityCheck>false</BufferSecurityCheck>
    </ClCompile>
    <Link>
      <AdditionalLibraryDirectories>$(SolutionDir)\Lib\x86;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX86</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>$(SolutionDir)Lib/Include;$(SolutionDir)Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <StringPooling>true</StringPooling>
      <BufferSecurityCheck>false</BufferSecurityCheck>
    </ClCompile>
    <Link>
      <AdditionalLibraryDirectories>$(SolutionDir)\Lib\x64;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX64</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="Test-SST_Geo.cpp" />
    <ClCompile Include="Test-ZAllocWindow.cpp" />
    <ClCompile Include="Test-ZJSONReader.cpp" />
    <ClCompile Include="Test-ZJSONWriter.cpp" />
    <ClCompile Include="Test-ZRegistry.cpp" />
    <ClCompile Include="ZTestSuiteMain.cpp" />
    <ClCompile Include="Test-ZArray.cpp" />
    <ClCompile Include="Test-ZArrayAlgo.cpp" />
    <ClCompile Include="Test-ZBasicString.cpp" />
    <ClCompile Include="Test-ZBasicStringAlgo.cpp" />
    <ClCompile Include="Test-ZHashMap.cpp" />
    <ClCompile Include="Test-ZList.cpp" />
    <ClCompile Include="Test-ZListAlgo.cpp" />
    <ClCompile Include="Test-ZRingBuffer.cpp" />
    <ClCompile Include="Test-ZAlloc.cpp" />
    <ClCompile Include="Test-ZAssert.cpp" />
    <ClCompile Include="Test-ZConcurrency.cpp" />
    <ClCompile Include="Test-ZIniReader.cpp" />
    <ClCompile Include="Test-ZIniWriter.cpp" />
    <ClCompile Include="Test-ZName.cpp" />
    <ClCompile Include="Test-ZRandomGenerator.cpp" />
    <ClCompile Include="Test-ZReferenceCounter.cpp" />
    <ClCompile Include="Test-ZKVTree.cpp" />
    <ClCompile Include="Test-ZSimplexNoise.cpp" />
    <ClCompile Include="Test-ZSlabAllocator.cpp" />
    <ClCompile Include="Test-ZSmartPointer.cpp" />
    <ClCompile Include="Test-ZTaskStream.cpp" />
    <ClCompile Include="Test-ZWeakPointer.cpp" />
    <ClCompile Include="Test-ZXMLReader.cpp" />
    <ClCompile Include="Test-ZXMLWriter.cpp" />
    <ClCompile Include="Test-SST_Atomic.cpp" />
    <ClCompile Include="Test-SST_Endian.cpp" />
    <ClCompile Include="Test-SST_FileSys.cpp" />
    <ClCompile Include="Test-SST_SafeArithmetic.cpp" />
    <ClCompile Include="Test-SST_Mat22d.cpp" />
    <ClCompile Include="Test-SST_Mat22f.cpp" />
    <ClCompile Include="Test-SST_Mat22i.cpp" />
    <ClCompile Include="Test-SST_Mat22u.cpp" />
    <ClCompile Include="Test-SST_Mat33d.cpp" />
    <ClCompile Include="Test-SST_Mat33f.cpp" />
    <ClCompile Include="Test-SST_Mat33i.cpp" />
    <ClCompile Include="Test-SST_Mat33u.cpp" />
    <ClCompile Include="Test-SST_Mat44d.cpp" />
    <ClCompile Include="Test-SST_Mat44f.cpp" />
    <ClCompile Include="Test-SST_Mat44i.cpp" />
    <ClCompile Include="Test-SST_Mat44u.cpp" />
    <ClCompile Include="Test-SST_Transform.cpp" />
    <ClCompile Include="Test-SST_Vec2d.cpp" />
    <ClCompile Include="Test-SST_Vec2f.cpp" />
    <ClCompile Include="Test-SST_Vec2i.cpp" />
    <ClCompile Include="Test-SST_Vec2u.cpp" />
    <ClCompile Include="Test-SST_Vec3d.cpp" />
    <ClCompile Include="Test-SST_Vec3f.cpp" />
    <ClCompile Include="Test-SST_Vec3i.cpp" />
    <ClCompile Include="Test-SST_Vec3u.cpp" />
    <ClCompile Include="Test-SST_Vec4d.cpp" />
    <ClCompile Include="Test-SST_Vec4f.cpp" />
    <ClCompile Include="Test-SST_Vec4i.cpp" />
    <ClCompile Include="Test-SST_Vec4u.cpp" />
    <ClCompile Include="ZUnitTest.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="ZUnitTest.hpp" />
  </ItemGroup>
  <ItemGroup>
    <Xml Include="test1.xml" />
    <Xml Include="testAttributes.xml" />
  </ItemGroup>
  <ItemGroup>
    <Text Include="FileSystemTestDir\ZFileSystemTest-001.txt" />
  </ItemGroup>
  <ItemGroup>
    <None Include="FileSystemTestDir\ZFileSystemTest-002" />
    <None Include="FileSystemTestDir\ZFileSystemTest-7z.zep" />
    <None Include="FileSystemTestDir\ZFileSystemTest-ZIP.zep" />
    <None Include="FileSystemTestDir\ZRegistryTest1.ini" />
    <None Include="FileSystemTestDir\ZRegistryTest2.ini" />
    <None Include="FileSystemTestDir\initest\Test.ini" />
    <None Include="FileSystemTestDir\initest\TestFail1.ini" />
    <None Include="FileSystemTestDir\initest\TestFail2.ini" />
    <None Include="FileSystemTestDir\initest\TestFail3.ini" />
    <None Include="FileSystemTestDir\initest\TestFail4.ini" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\libsst-atomic\libsst-atomic.vcxproj">
      <Project>{43ed481f-c4a3-40ed-81a3-46c43dc4eb1e}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-concurrency\libsst-concurrency.vcxproj">
      <Project>{7af55ff8-2f78-42ec-8a05-7fa1ae514814}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-crypto\libsst-crypto.vcxproj">
      <Project>{e5172b73-ab9a-4702-998f-84c841b30c02}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-math\libsst-math.vcxproj">
      <Project>{27b995c6-2b30-4852-b796-12e2b5883c35}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-net\libsst-net.vcxproj">
      <Project>{e6679a2f-6c8e-4555-9228-6929c734cef4}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-os\libsst-os.vcxproj">
      <Project>{4bac6d63-c2e8-43f7-87ea-ef953cbfddd3}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-random\libsst-random.vcxproj">
      <Project>{8aa34f81-4045-4613-88b7-6ff58d7e0a7a}</Project>
    </ProjectReference>
    <ProjectReference Include="..\ZUtil\ZUtil.vcxproj">
      <Project>{49e96a5c-ac79-412b-bbba-4653795d5edc}</Project>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>